Subject: Re: Git: Unexpected behaviour?

From: Chris Packham <[email-masked]>
Date: Sat, 12 Nov 2011 21:25:49 +1300

On 12/11/11 13:24, J.V. wrote:
> OK so "work tree" is a new term for me.  I thought we were in isolated
> sandboxes called "branches" and changes made in a branch would stay in
> that branch regardless.
> 
> so anything in the "work tree" is over layed on top of my branch if
> there are no conflicts?

Kind of. I'd say that your work tree is updated to match a branch when
you run git checkout initially. The branch is updated when you run git
commit (after staging changes in the index with git add or using -a).